
type xml_event =
  | Start of Xml.qname * (Xml.qname * string) list
  | End of Xml.qname
  | CData of string

val parse_fd : Lwt_unix.file_descr -> xml_event Lwt_stream.t

val parse_input : ( string -> int -> int -> int Lwt.t ) -> xml_event Lwt_stream.t

val parse_stream : string Lwt_stream.t -> xml_event Lwt_stream.t

val xml_stream : xml_event Lwt_stream.t -> Xml.xml Lwt_stream.t

val group_stream : xml_event Lwt_stream.t -> xml_event list Lwt_stream.t

val solidify : xml_event list -> Xml.xml list
